Name:		knotter		
Version:	0.9.4
Release:	3%{?dist}
Summary:	Knotter is a free and open source customizable interlace designer

Group:		Amusements/Graphics
License:	GPLv3
URL:		http://knotter.mattbas.org/%{name}
Source0:	http://downloads.sourceforge.net/project/%{name}/0.9/%{name}-%{version}.tar.gz

BuildRequires:	qt-devel, desktop-file-utils
Requires: %{name}-data = %{version}-%{release}

%description
Interlace patterns are a kind of design historically used as a decorations in 
many places and by different cultures. Some examples are Celtic knotworks and 
Islamic interlaces. %{name} aims to allow its user to intuitively design such 
patterns and to provide easy ways to integrate the result in external 
general-purpose graphic software for this purpose designs created within %{name}
can be saved in a custom Human-Readable format and exported as 
scalable vector graphics and in a wide number of raster image formats.

%package data
Summary: Data files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description data
Various data files for Knotter including images, fonts and plugins.

%prep
%setup -q

%build
./configure.sh --prefix=%{_prefix} --libdir=%{_libdir} --datarootdir=%{_datadir}
make %{?_smp_mflags}  

%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc	README COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*

%files data
%{_datadir}/%{name}

%changelog
* Sun Sep 15 2013 Benedikt Schaefer <ib54003@fedoraproject.org> 0.9.4-3
- created a subpackage data

* Mon Aug 12 2013 Benedikt Schaefer <ib54003@fedoraproject.org> 0.9.4-2
-dropped gcc-c++ from BuildRequires
-added README COPYING AUTHORS

* Sun Aug 11 2013 Benedikt Schaefer <ib54003@fedoraproject.org> 0.9.4-1
- initial version
